
Infrastructure - Task #8177

Story # 8175 (Closed): Solr crashing with out of memory error

Ensure that inefficient queries are refactored in the search UI

2017-09-05 16:39 - Dave Vieglais

Status: Closed Start date: 2017-09-05

Priority: Immediate Due date:  

Assignee: Lauren Walker % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

The search UI aka. MetacatUI, issues some queries that appear to be poorly formulated. Two examples are listed at:

https://github.com/NCEAS/metacatui/issues/248

https://github.com/NCEAS/metacatui/issues/262

These cause excessive load on the search index and should be refactored as soon as possible.

History

#1 - 2017-12-18 19:08 - Rob Nahf

both metacat UI tickets currently marked as closed.

#2 - 2017-12-18 19:08 - Rob Nahf

- Status changed from New to In Progress

- % Done changed from 0 to 30

#3 - 2017-12-26 18:28 - Dave Vieglais

- % Done changed from 30 to 100

- Status changed from In Progress to Closed
